Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 203750 - make depend on split-ant and ANT_TASKS="none" the new default
Summary: make depend on split-ant and ANT_TASKS="none" the new default
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Java (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords:
Depends on: 204625
Blocks: 177362
  Show dependency tree
 
Reported: 2007-12-30 11:14 UTC by Vlastimil Babka (Caster) (RETIRED)
Modified: 2008-01-18 22:45 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
patch for java eclasses to apply before testing (java-eclasses.patch,5.39 KB, patch)
2007-12-30 11:19 UTC, Vlastimil Babka (Caster) (RETIRED)
Details | Diff
x86 list (x86.txt,6.31 KB, text/plain)
2007-12-30 14:03 UTC, Vlastimil Babka (Caster) (RETIRED)
Details
amd64 list (amd64.txt,6.09 KB, text/plain)
2007-12-30 17:22 UTC, Vlastimil Babka (Caster) (RETIRED)
Details
ppc list (ppc.txt,4.41 KB, text/plain)
2007-12-30 19:23 UTC, Vlastimil Babka (Caster) (RETIRED)
Details
ppc64 list (ppc64.txt,2.51 KB, text/plain)
2007-12-30 20:52 UTC, Vlastimil Babka (Caster) (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2007-12-30 11:14:34 UTC
When we put split-ant to tree, ANT_TASKS defaulted to "all" if not set, in order not to break existing ebuilds. With the JAVA_PKG_STRICT set, a check was run on the DEPEND to see if there's dev-java/ant or dev-java/ant-tasks which would trigger setting ANT_TASKS="all", and otherwise assume "none". Then we migrated ebuilds depending on ant-tasks/ant to use the individual tasks, which is now done and thus ebuilds depending on just on ant-core should default to ANT_TASKS="none", which is what the attached eclasses patch will do (and also restrict ant-core dependency to >=1.7.0 so that ANT_TASKS is actually honored).

In order to be sure not break stable tree (devs who have JAVA_PKG_STRICT set mostly run ~arch and don't have all the packages installed etc), we would like to ask arch teams for testing, similarly to bug 142538. I will post the eclass patch to apply and list of stable java packages using ant for each arch, generated by the script in $URL. Thanks in advance for the boring testing :)
Comment 1 Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2007-12-30 11:19:04 UTC
Created attachment 139619 [details, diff]
patch for java eclasses to apply before testing
Comment 2 Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2007-12-30 14:03:14 UTC
Created attachment 139626 [details]
x86 list
Comment 3 Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2007-12-30 17:22:48 UTC
Created attachment 139641 [details]
amd64 list
Comment 4 Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2007-12-30 19:23:36 UTC
Created attachment 139650 [details]
ppc list
Comment 5 Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2007-12-30 20:52:06 UTC
Created attachment 139670 [details]
ppc64 list

have fun
Comment 6 Petteri Räty (RETIRED) gentoo-dev 2008-01-06 17:17:06 UTC
To avoid breaking Netbeans amd64 and x86 need to do bug 204625 before this patch can be applied.
Comment 7 Markus Meier gentoo-dev 2008-01-07 15:35:56 UTC
I tested all mentioned packages, no problems (with newer netbeans stable). Removing x86.
Comment 8 Brent Baude (RETIRED) gentoo-dev 2008-01-10 03:31:15 UTC
I hit a circular dep with FEATURES="test" on my packages.  Check this out:

baudequad ~ # FEATURES="test" emerge -pv `cat java.pkgs `

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] www-servers/tomcat-6.0.14-r1  USE="test -doc -examples -source" 
[ebuild  N    ]  dev-java/commons-dbcp-1.2.2  USE="test -doc -source" 
!!! Error: circular dependencies:

('ebuild', '/', 'dev-java/commons-dbcp-1.2.2', 'merge') depends on
   ('ebuild', '/', 'www-servers/tomcat-6.0.14-r1', 'merge') (hard)
('ebuild', '/', 'www-servers/tomcat-6.0.14-r1', 'merge') depends on
   ('ebuild', '/', 'dev-java/commons-dbcp-1.2.2', 'merge') (hard)

!!! Note that circular dependencies can often be avoided by temporarily
!!! disabling USE flags that trigger optional dependencies.
baudequad ~ # 

This is for ppc64.

Can the java herd peek at this?
Comment 9 Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2008-01-10 20:38:17 UTC
(In reply to comment #8)
> I hit a circular dep with FEATURES="test" on my packages.  Check this out:
> Can the java herd peek at this?

Created bug 205245 about it, thanks. But since it's unrelated to this bug, please proceed and workaround it by emerging commons-dbcp without FEATURES=test first. Thanks.
Comment 10 Brent Baude (RETIRED) gentoo-dev 2008-01-11 00:35:05 UTC
works for ppc64
Comment 11 Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2008-01-12 15:10:19 UTC
OK, Kenneth tested amd64 so that's enough coverage, and shouldn't be any different for ppc. Patch committed, thanks everyone.
Comment 12 Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2008-01-14 13:59:14 UTC
Reopening, as ant guide should reflect the changes.
Also, I'm removing the WANT_SPLIT_ANT declaration from ebuilds in tree. There are also cases where ebuilds explicitly say ANT_TASKS="none" although it's now not needed, but I will probably not touch these, since ANT_TASKS is still supported variable, unlike WANT_SPLIT_ANT.
Comment 13 Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2008-01-18 22:45:18 UTC
OK, documentation updated. Also added links to ant guide in the java packaging guide.